<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:21:23 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>C_CppSwitch (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C_CppSwitch (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/C_CppSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppResourceImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppXMLProcessor.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" target="_top">Frames</a></li>
<li><a href="C_CppSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util</div>
<h2 title="Class C_CppSwitch" class="title">Class C_CppSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util.C_CppSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">C_CppSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code> to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><code>C_CppPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#C_CppSwitch--">C_CppSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseArray-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Array-">caseArray</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Array</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseConst-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Const-">caseConst</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Const</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseConstInit-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ConstInit-">caseConstInit</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Const Init</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseCppInit-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppInit-">caseCppInit</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Cpp Init</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseCppRoot-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppRoot-">caseCppRoot</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Cpp Root</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseExternal-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.External-">caseExternal</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>External</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseExternLibrary-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ExternLibrary-">caseExternLibrary</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extern Library</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseFriend-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Friend-">caseFriend</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Friend</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseInclude-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Include-">caseInclude</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Include</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseInline-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Inline-">caseInline</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Inline</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseManualGeneration-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ManualGeneration-">caseManualGeneration</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Manual Generation</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseMutable-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Mutable-">caseMutable</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Mutable</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseNoCodeGen-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.NoCodeGen-">caseNoCodeGen</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>No Code Gen</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#casePtr-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ptr-">casePtr</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Ptr</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseRef-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ref-">caseRef</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Ref</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseStorageClass-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.StorageClass-">caseStorageClass</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Storage Class</em>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseTemplate-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Template-">caseTemplate</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template</em>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseTemplateBinding-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateBinding-">caseTemplateBinding</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Binding</em>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseTemplateParameter-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateParameter-">caseTemplateParameter</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Parameter</em>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseTypedef-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Typedef-">caseTypedef</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Typedef</em>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseUnion-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Union-">caseUnion</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Union</em>'.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseVariadic-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Variadic-">caseVariadic</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variadic</em>'.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseVirtual-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Virtual-">caseVirtual</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Virtual</em>'.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseVisibility-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Visibility-">caseVisibility</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Visibility</em>'.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#caseVolatile-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Volatile-">caseVolatile</a></span>(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Volatile</em>'.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#doSwitch-int-org.eclipse.emf.ecore.EObject-">doSwitch</a></span>(int&nbsp;classifierID,
        org.eclipse.emf.ecore.EObject&nbsp;theEObject)</code>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html#isSwitchFor-org.eclipse.emf.ecore.EPackage-">isSwitchFor</a></span>(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</code>
<div class="block">Checks whether this is a switch for the given package.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch, doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a> modelPackage</pre>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="C_CppSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>C_CppSwitch</h4>
<pre>public&nbsp;C_CppSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSwitchFor-org.eclipse.emf.ecore.EPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwitchFor</h4>
<pre>protected&nbsp;boolean&nbsp;isSwitchFor(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</pre>
<div class="block">Checks whether this is a switch for the given package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSwitchFor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ePackage</code> - the package in question.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this is a switch for the given package.</dd>
</dl>
</li>
</ul>
<a name="doSwitch-int-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;doSwitch(int&nbsp;classifierID,
                     org.eclipse.emf.ecore.EObject&nbsp;theEObject)</pre>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSwitch</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first non-null result returned by a <code>caseXXX</code> call.</dd>
</dl>
</li>
</ul>
<a name="casePtr-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ptr-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>casePtr</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;casePtr(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Ptr</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Ptr</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseInclude-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Include-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInclude</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseInclude(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Include</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Include</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseManualGeneration-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ManualGeneration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseManualGeneration</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseManualGeneration(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Manual Generation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Manual Generation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseExternLibrary-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ExternLibrary-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExternLibrary</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseExternLibrary(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Extern Library</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Extern Library</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNoCodeGen-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.NoCodeGen-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNoCodeGen</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseNoCodeGen(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>No Code Gen</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>No Code Gen</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseCppRoot-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppRoot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseCppRoot</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseCppRoot(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Cpp Root</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Cpp Root</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseArray-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Array-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseArray</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseArray(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Array</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Array</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseConst-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Const-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseConst</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseConst(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Const</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Const</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseRef-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Ref-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseRef</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseRef(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Ref</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Ref</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseExternal-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.External-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseExternal</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseExternal(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>External</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>External</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseConstInit-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.ConstInit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseConstInit</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseConstInit(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Const Init</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Const Init</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseFriend-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Friend-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseFriend</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseFriend(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Friend</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Friend</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseInline-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Inline-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseInline</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseInline(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Inline</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Inline</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVirtual-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Virtual-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVirtual</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseVirtual(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Virtual</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Virtual</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTypedef-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Typedef-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTypedef</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseTypedef(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Typedef</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Typedef</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVisibility-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Visibility-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVisibility</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseVisibility(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Visibility</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Visibility</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseCppInit-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.CppInit-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseCppInit</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseCppInit(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Cpp Init</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Cpp Init</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplate-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Template-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplate</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseTemplate(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplateBinding-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplateBinding</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseTemplateBinding(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Binding</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template Binding</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTemplateParameter-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.TemplateParameter-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTemplateParameter</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseTemplateParameter(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Template Parameter</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Template Parameter</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseUnion-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Union-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseUnion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseUnion(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Union</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Union</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseStorageClass-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.StorageClass-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseStorageClass</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseStorageClass(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Storage Class</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Storage Class</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVolatile-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Volatile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVolatile</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseVolatile(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Volatile</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Volatile</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseVariadic-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Variadic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseVariadic</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseVariadic(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Variadic</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Variadic</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseMutable-org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.Mutable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseMutable</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;caseMutable(<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Mutable</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Mutable</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" title="type parameter in C_CppSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/C_CppSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppResourceImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppXMLProcessor.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/util/C_CppSwitch.html" target="_top">Frames</a></li>
<li><a href="C_CppSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
